commit 3a07660a5a6a4f09e6e9478229e7609697a9105e
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Mar 12 00:23:02 2025 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index 4bd9e51ab1b..a2876d18ceb 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20250311
+20250312
diff --git a/gcc/d/ChangeLog b/gcc/d/ChangeLog
index 25ac9c8c735..d594befd258 100644
--- a/gcc/d/ChangeLog
+++ b/gcc/d/ChangeLog
@@ -1,3 +1,12 @@
+2025-03-11  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-03-11  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/119139
+	* decl.cc (get_symbol_decl): Don't set TREE_READONLY for __result
+	declarations.
+
 2025-03-02  Iain Buclaw  <ibuclaw@gdcproject.org>
 
 	Backported from master:
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index bbc0bec1b8b..deffa4a9166 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,11 @@
+2025-03-11  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	Backported from master:
+	2025-03-11  Iain Buclaw  <ibuclaw@gdcproject.org>
+
+	PR d/119139
+	* gdc.dg/pr119139.d: New test.
+
 2025-03-10  Paul Thomas  <pault@gcc.gnu.org>
 
 	Backported from master:

